CHANGELOG
=========

30 Mar 2014
--------
* addition - wrote source code readme
* addition - added Clash of the Type-Ins to the credits
* bug-fix - finished the fix the last-time-you-saw-X functionality
* addition - MURDER as a synonym for ATTACK
* bug-fix - new, more appropriate response for asking Yvonne to play hide and
  seek with you when she is hiding with Yvonne and you are not already playing
  hide and seek
* bug-fix - workaround for adv3 bug http://bugdb.tads.org/view.php?id=216
* release - released v2.2

29 Mar 2014
--------
* bug-fix - fixed the last-time-you-saw-X-she-was-in-Y functionality

6 Jun 2013
--------
* revision - bumped version number to 2.2
* bug-fix - changed &emdash; to &mdash; to fix issue in WebUI version

30 Apr 2031
--------
* release - I guess this is when I released v2.1?

29 Apr 2013
--------
* addition - added ralphmerridew to the credits
* bug-fix - examining a remote room no longer produces a broken list of its 
  contents

16 Feb 2013
--------
* revision - moved the UndoAction modifications from verbs.t to lib.t, so all
  the status line code is in one place
* bug-fix - typo in description of shed, reported by NR Turner
* addition - added NR Turner to the credits
* revision - bumped version number to 2.1. It'll probably never see a release,
  but just in case

4 Feb 2013
--------
* bug-fix - make sure the WebUI status line is cleared whenever necessary
* bug-fix - don't print the room description after restoring if the prologue is
  still happening or the PC's eyes are closed; just give the player a summary of 
  what's going on instead
* bug-fix - hide the status line after restarting in WebUI version
* release - compiled v2.0 and uploaded it to IF Archive

3 Feb 2013
--------
* revision - it is now possible to betray Tiana while playing hide and seek, no 
  matter which roles you and she chose
* bug-fix - it is no longer possible to abandon the game of hide and seek to 
  play on one of the PlayThings instead
* revision - it is now possible to PLAY ON [PLAYTHING] WITH [NPC] even if the 
  plaything in question is not currently visible (since PLAY ON X WITH Y just
  remaps to ASK Y ABOUT X)
* addition - "self" is now a valid vocabulary word for the PC
* addition - RIGHT is now a valid synonym for YES
* bug-fix - fixed bug where trying to hide in the bush before searching it would
  sometimes suggest you hide somewhere else, even if you weren't playing hide
  and seek at the time
* revision - examining things now takes a turn during the counting scene, 
  because otherwise that scene drags out way, way too long, and it's confusing
  if you try to WATCH EMMA and then she doesn't do anything. screw consistency,
  if examining takes no time in later scenes I guess it's just a nice surprise
  for the player
* addition - SAY 50 is now a valid synonym for COUNT TO 50, because Mike Sousa
  tried it
* bug-fix - rewrote the COUNT TO # action to take a singleNumber instead of a 
  singleLiteral (which fixed a bug where SAY [WHATEVER] is parsed as COUNT
  [WHATEVER]
* bug-fix - fixed alt text of the cover art, in the WebUI version of the game
* revision - changed cover art folder name to remove the space, hoping to fix 
  issue with image not appearing in compiled WebUI game. didn't work
* bug-fix - changed backslash in cover art file path to foward slash.
  FACEPALMED HARD

2 Feb 2013
--------
* addition - PUSH [NPC] now remaps to ATTACK [NPC]
* revision - don't wait for a keypress before showing the titles, except for the
  first time the titles are shown
* addition - going up in the cubby house area remaps to entering the cubby
* bug-fix - the custom message that was supposed show up when you climb the 
  ladder into the cubby house now actually works, FINALLY
* revision - the PC now has line of sight from the top of the tree to the front
  garden. This used to be the case and I don't know why I changed it.
* revision - actions used on Tiana's fake name object (e.g. ASK TAHLIA ABOUT
  HER NAME) never take any time
* revision - ASK TIANA ABOUT EMMA always results in a discussion of Emma's 
  character, instead of sometimes telling Tiana where Emma is hiding
* bug-fix - fixed bugs causing some of Emma's conversation responses to trigger 
  during the counting scene instead of the prologue
* addition - response for asking Emma about hide and seek outside of the
  prologue/playingHnS scenes
* bug-fix - Emma no longer takes part in the conversation where you ask Yvonne 
  to play Hide and Seek unless Yvonne is in the bush with Emma
* bug-fix - it is now possible to talk to Emma while she is standing under the
  big tree during the counting scene
* bug-fix - attempts to go in a non-valid direction are no longer recorded in 
  the PC's pathToHidingSpot
* addition - mention WAIT command in instructions
* bug-fix - TAKE PATH when in the vege garden no longer causes a runtime error.
  Thank you, Eric Eve!
* addition - custom messages for the NPCs hiding in the bush
* bug-fix - the ending where Yvonne complains about you following her across the
  lawn now triggers when it should
* bug-fix - fixed a bug which sometimes caused Emma to shush you when you gave a
  command to an NPC even if the NPC wasn't hiding in the bush
* revision - NPCs hiding in the bush are now only visible/audible if you are
  in the same room as them
* bug-fix - the ending where Yvonne accuses you of following her no longer 
  mentions Tiana coming around the corner if she's already in the cubby area
* addition - added new vocabulary for the sandpit, so the player can refer to
  the logs it's made of

1 Feb 2013
--------
* bug-fix - fixed bug which prevented Emma from responding to EMMA, HELLO in 
  some situations
* bug-fix - Emma no longer says, "You're all going to play? What, even Yvonne?"
  if she already knows that Yvonne is playing Hide and Seek with you
* bug-fix - Yvonne no longer shouts at the player about going out of bounds 
  once she is hiding in the bush
* bug-fix - Emma no longer bothers to shush the PC if everyone else is already 
  hiding in the bush - she just ends the game instead

31 Jan 2013
--------
* bug-fix - Tiana no longer stumbles over something in the wilderness garden if 
  you climb the tree for the first time after starting a game of hide and seek 
  with her
* revision - if you try to FIND [NPC] when the NPC is already visible, the 
  response will now mention the NPC's current posture

30 Jan 2013
--------
* bug-fix - made "car" on its own refer to the cars-as-a-group, instead of 
  asking for disambiguation. Feel this is dangerous but I can't see any bugs 
  yet.
* bug-fix - WASH CAR will no longer cause the game to respond "Whom do you want
  to ask?" - see todo list for more details on what the heck was going on there
* revision - "bush" is no longer a synonym for the vegetable plants

29 Jan 2013
--------
* bug-fix - removed the "#charset "us-ascii"" declaration from all my source 
  files, so now Hannes Schüller's umlaut appears correctly in the credits
* bug-fix - fixed a typo in the cars' cannotCloseMsg

28 Jan 2013
--------
* addition - slightly better default response for getting out from the cars
* bug-fix - when the PC tries to attack someone, change her posture to standing
  and make sure she's in the same outermost room as the victim
* addition - more synonyms for hiding in/under/behind/among something
* addition - SIT ON [HIDING SPOT] etc. now behaves as if you're hiding in it, 
  more or less
* addition - added "Titty" to the list of names that aren't Tiana's name,
  because I have Swallows and Amazons on the brain at the moment
* bug-fix - Tiana will no longer suggest getting back to the game as a default
  conversation response when she is playing Hide and Seek
* addition - implemented HUG action
* bug-fix - NPCs will no longer try to hide with Emma when they are supposed to 
  be playing Hide and Seek
* addition - responses for trying to hug the big tree (and also trying to take
  it while at the top of the tree
* bug-fix - the PC will no longer suggest places for Tiana to search when they 
  are playing Hide and Seek
* revision - changed the response to TIP [NPC] a bit
* addition - response to HUG BABY BIRD (it's the same as trying to take it)
* bug-fix - various revisions to conversation with Yvonne, to make responses to
  queries about cheating, Emma, and hiding spots more logical and predictable
* revision - slight change to wording of Building ending in some situations, to
  make it better reflect the PC's knowledge (or lack thereof)
* addition - put a couple of people I'd forgotten into the post-release feedback
  credits
* revision - prevent the player from accidentally betraying Tiana by hiding in 
  the bush without realising that Emma is already there
* bug-fix - change the message for searching the bush when the PC is playing 
  Hide and Seek to something that doesn't assume she's still playing Sardines
* bug-fix - modifications to various test scripts to make sure they work
  properly with any new code
* addition - remap EMMA, PLAY HIDE AND SEEK to PLAY HIDE AND SEEK WITH EMMA
* bug-fix - fixed a typo in the Hide and Seek Unbeknownst to Emma ending

19 Jan 2013
--------
* addition - "proper" is now an acceptable synonym for "hide and seek" (since
  Tiana tells the PC she likes "proper Hide and Seek" better than Sardines)
* revision - examining the bush now searches it even if the PC is now playing 
  Hide and Seek. Examining other hiding spots while playing hide and seek still
  just acts like a simple examine. This does not any make sense from an in-game 
  point of view, but I think it's a useful convenience for the player. If s/he's
  got to the point of playing hide and seek instead of sardines, it's pretty 
  certain s/he knows exactly where Emma is hiding and will only be confused by
  the game suddenly requiring a specific SEARCH to make Emma visible.
* bug-fix - another mistake in silentlyGoTo that was causing a nil object 
  reference. Why isn't the compiler giving me warnings about these things?
* bug-fix - if LOOKing triggers opening your eyes (during the counting scene),
  make it take a turn, so Emma starts/continues acting on the same turn
* bug-fix - Yvonne no longer tells the PC not to follow her across the lawn if 
  the PC told her where Emma was hiding
* bug-fix - the ending where Yvonne accuses the PC of cheating by following her 
  across the lawn doesn't trigger if the PC told Yvonne where Emma was hiding
* revision - attempting to go in a non-valid direction does not take a turn
* addition - it is now possible to respond YES or NO when Tiana asks you to 
  search somewhere else
* revision - Tiana's if-you-don't-care-then-I'll-count code now runs at the end
  of the player's turn instead of the beginning
* bug-fix - Tiana is no longer reported as still searching the bushes (or
  whatever) once she's agreed to play Hide and Seek

17 Jan 2013
--------
* bug-fix - fixed last night's bug-fix; apparently I somehow left the code in a
  non-compilable state
* bug-fix - more sensible error message for trying to handle the neighbourhood
  noises
* revision - better response for X EMMA when Emma is not visible
* revision - tidied up the todo list a bit to make it easier to see what still 
  needs to be done

16 Jan 2013
--------
* bug-fix - fixed the bug where Tiana entering the bush was being reported even
  though it shouldn't have been. The silentlyGoTo method wasn't working, because
  the captureOutput method doesn't capture defaultReports or mainReports. Can't 
  tell if this is an adv3 bug or intended-but-counterintuitive behaviour.
  Anyway, I found a different way of doing it, so whatever.

13 Jan 2013
--------
* bug-fix - apparently I fixed the bug where Tiana's last action wasn't reset
  when I cheated and spirited her across the map

11 Jan 2013
--------
* revision - various changes and bug-fixes to reaction.t (see changelog in 
  reaction.t documentation) and to the game code to match the reaction.t changes

7 Jan 2013
--------
* addition - LOOKing and EXAMINing now take no time, unless EXAMINE triggers a 
  SEARCH action
* revision - more minor textual edits. wow, some of this prose is really gross,
  what was I thinking?
* revision - clean up and expansion of documentation for Easy Listing and 
  Reaction extensions. added licence info. renamed Easy Lister to Easy Listing, 
  just for the sake of that stupid pun

6 Jan 2013
--------
* bug-fix - name of Wilderness Garden now prints in title case again instead of
  all uppercase (regression caused by me misunderstanding how String.toTitleCase
  works)
* revision - edited some bits of text to remove a few particularly icky adverbs
  and fix some dodgy sentences
* addition - commented some opaque code
* bug-fix - the Too Clever for Your Own Good ending now works (some code for the
  HideIn action was triggering for Yvonne when it should only trigger for the 
  PC, which meant Emma was becoming prematurely aware that the others were 
  playing Hide and Seek, which meant... oh, never mind, it's fixed now anyway)
* addition - gave the cars an actorOutOfPrep, as "getting out of the cars" 
  sounds silly when you're actually only hiding among them, not in (any of) them
* bug-fix - split up the Showing Tiana the Bird test script into two scripts, as
  the series of three UNDOes in the original script was no longer working
* bug-fix - the word "bird" on its own is no longer treated as meaning the bird
  bath

4 Jan 2013
--------
* bug-fix - minor changes to allow the code to compile with latest version of 
  adv3

9 May 2012
--------
* bug-fix - the code that spirits Tiana across the map to make sure she reaches the hiding spot before the PC no longer runs when they are playing Hide and Seek
* bug-fix - Emma is now placed in her hiding spot when the player counts even if it's too far for a scriptedTravelTo to work

25 Mar 2012
--------
* bug-fix - changed the code of Emma's looking-for-a-hiding-place AgendaItems so that her movements are fully simulated (enabling the player to FOLLOW her, among other things)
* revision - changed the way a couple of Emma's actions while looking for a hiding place were reported in her description, to make them sound more natural
* bug-fix - rewrote the library's follow handling so it could deal with NPCs moving through multiple locations before the player attempts to follow
* bug-fix - rewrote the handling of NPCs hiding in the bush so that it interacts nicely with the code for following NPCs

24 Mar 2012
--------
* addition - added a SEARCH FOR action

18 Mar 2012
--------
* revision - cleaned up some of the code in the reaction.t extension
* addition - added support for roomBeforeAction and roomAfterAction to reaction.t

17 Mar 2012
--------
* bug-fix - now the cover art shows up under WebUI as it should, thanks to Ben Cressey
* addition - the HELP information now mentions the all-important RESTART command

14 Mar 2012
--------
* bug-fix - Unpeople now inherit the vocabWords of their linkedPersons, as they should

13 Mar 2012
--------
* bug-fix - made the banner check work under WebUI (systemInfo(SysInfoBanners) returns 1 under WebUI, even though WebUI and the banner API are incompatible)
* revision - cleaned up code for showing the title screen a bit
* revision - tried to make the cover art show up in the titles under WebUI, but the 'terp can't find the file, no idea why

11 Mar 2012
--------
* revision - the splash screen and reminder to check ABOUT now only show up the first time during a session, not after UNDO or RESTART
* revision - don't pause for a keypress during the title sequence unless using a banner window interpreter - it's a waste of time if just showing the titles in the main window (EDIT: this doesn't work in WebUI - TADS bug?)
* revision - deleted the old, buggy WebUI makefile to avoid confusion
* revision - moved the title sequence from the start-counting prompt to the moment when the PC opens her eyes, as players often got confused by it coming in the middle of the prologue
* bug-fix - changed all occurrences of "<a href='COMMAND'>" to use the new aHref function

22 Jan 2012
--------
* revision - added a WebUI makefile
* bug-fix - define MenuItem.removeStatusLine when compiling with WebUI (which doesn't include it)
* bug-fix - don't show the title screen banner when using WebUI (it doesn't support banner windows)

???
--------
* addition - started implementing Unpeople (subclass of Unthing) so the game can respond to commands like SEARCH FOR EMMA

21 Nov 2011
--------
* bug-fix - the neighbourhood noises are now plural

20 Nov 2011
--------
* addition - Response to attempts to TIP somebody (or something). Hi, Wade!
* bug-fix - made the reminder to type ABOUT not bold in non-HTML 'terps
* revision - replaced the (simply enormous) PNG cover art with a JPG

19 Nov 2011
--------
* bug-fix - the PC will stop being scared of Yvonne after leaving the lawn
* revision - bumped the version number to 2.0 (I never got around to doing a second in-comp release, and the post-comp release is - theoretically at least - a major release)
* bug-fix - Fixed the bug where the remembering-Tiana's-name reaction sometimes wouldn't trigger. Broke something else. Started over and fixed it all properly.

17 Nov 2011
--------
* bug-fix - Report a character hiding in the bush if the PC has already searched the bush. Since the game doesn't hide the character in this situation, not reporting it was strange behaviour.

31 Oct 2011
--------
* bug-fix - fixed a bug where Tiana would react to the PC having fun even if she was counting for hide and seek
* revision - bumped version number to 1.2

3 Oct 2011
--------
* revision - rewrote yesterday's smoothed-over join, because the way I wrote it yesterday, it made no sense that Yvonne and Tiana were present in the second chunk of text
* release - compiled v1.1 and sent it to Stephen Granade

2 Oct 2011
--------
* bug-fix - smoothed over a messy join between two chunks of text regarding Emma's can-I-play-too ConvNode
* bug-fix - specific refusals for attempting to play with yourself
* bug-fix - stopped NPC, PLAY WITH ME from throwing a run-time error and gave it an appropriate response (remapped it to PLAY WITH NPC)
* addition - remapped NPC, PLAY ON THING WITH ME to PLAY ON THING WITH NPC

30 Sep (and morning of 1 Oct) 2011
--------
* revision - changed the cover art slightly - moved the image of the girl to the left, embiggened the text, and saved it as a PNG instead of a JPG
* revision - changed the code to use the PNG, not the JPG cover art
* revision - the cars are now a CollectiveGroup
* addition - reinstated the cheating bit of code that whisks Tiana across the map to the hiding spot when the PC isn't cheating, because the timing was broken without it
* addition - vary the description of the numerousBushes after they've been searched
* addition - custom message for hiding among the cars
* addition - trying to hide in an individual car remaps to hiding among the group of cars
* addition - if an NPC hides in the bush after the PC has searched it, don't hide her (it's confusing)
* addition - change the cannot-enter default message to specify what the player tried to enter, to avoid confusion
* bug-fix - the vegetable plants are now plural
* bug-fix - it is now possible to GET OUT OF TREE and SLIDE DOWN TREE (also GET OFF TREE)
* addition - it is now possible to CLIMB DOWN SWING
* revision - changed the search message for the cars to make it clear the PC finds nothing
* addition - dobbing response to TELL TIANA ABOUT YVONNE when the PC knows Yvonne was cheating
* addition - examining something nearby is more likely than examining something in the distance
* addition - gave the PC a slightly more interesting description
* addition - variation on the description of the numerous bushes, to make it sound better when not in the wilderness garden
* bug-fix - attempting to SIT, STAND or LIE ON the big tree no longer results in you hiding in the bigTree object (inside its trunk, presumably?)
* addition - another synonym for Emma's family's four-wheel drive
* bug-fix - SLIDE on its own now redirects to SLIDE DOWN, not HIDE IN
* bug-fix - clarification messages for SLIDE DOWN now include the preposition, e.g. >SLIDE (down the slide)
* addition - it is now possible to ENTER SLIDE
* bug-fix - PLAY on its own now leads to the PlayVagueAction (as it should have all along), not PlayAction (which caused a nil object reference error)
* addition - it is now possible to (try to) take the sandpit while inside it
* bug-fix - the By the Cubby House room description now correctly describes the lawn as off to the southwest, rather than the east
* addition - rejection message for attempts to kill or injure the bird
* addition - responses to talking to the bird (not from the bird itself, obviously)
* addition - HIDE WITH [NPC]
* addition - NPC, PLAY GAME WITH ME remaps to PLAY GAME WITH NPC
* addition - refusal messages for trying to boss Yvonne and Tiana around
* bug-fix - ordering an NPC around during the counting scene will make you get caught cheating
* bug-fix - Emma now uses the correct response to being asked about Hide and Seek when she is hiding in the bush and the PC isn't playing Hide and Seek yet
* bug-fix - YES and NO during Emma's can-I-play-with-you ConvNode now correctly default to Emma as interlocutor
* addition - NOD is now a synonym for SAY YES
* bug-fix - asking Yvonne about Emma no longer results in the game mistakenly accusing you of cheating
* addition - response to asking Yvonne about Emma when not cheating
* bug-fix - ASK/TELL TIANA ABOUT COUNT/HIDE now work as responses to Tiana's count-or-hide question
* addition - TIANA, COUNT/HIDE now work as responses to Tiana's count-or-hide question
* bug-fix - change Tiana's last action after offering to hide, so she isn't described as still searching even though she's playing Hide and Seek
* bug-fix - orders given by the PC do not count as characters' last actions (e.g. EMMA, HELLO)
* bug-fix - orders given by the PC now count as speech for the purposes of being shushed by Emma
* revision - the junk pile is now something you hide "behind", not "in"
* revision - changed the search message for the junk pile to hopefully make it a bit clearer that you only need to search it once
* addition - LICK is now a synonym for TASTE
* addition - responses to OPENing the house and shed
* addition - response to ATTACKing the line of rocks
* addition - smellDescs for the flowers
* addition - road object and response to going south from the front garden
* addition - response to sitting on the bird bath
* addition - response to asking Emma about the game during the prologue, after the initial conversation nodes are done
* bug-fix - the NPCs no longer look at you strangely if you jump during the counting scene
* bug-fix - if you jump while cheating in the counting scene, Emma notices you're cheating
* bug-fix - make sure the status line gets updated in terps that don't let me switch it off
* release - compiled v1.0 and uploaded it to the IFComp website

29 Sep 2011
--------
* addition - responses to asking Yvonne about Tiana and herself
* addition - updated the hints
* addition - more synonyms for the shrubs
* addition - more childlike cannot-eat message
* addition - specific cannot-eat message for the vegetable plants
* addition - more synonyms for the vege plants

28 Sep 2011
--------
* addition - ending for betraying Tiana by pretending to play Hide and Seek and then hiding with Emma
* revision - changed several refusal messages that ended in "remember?" to prevent the player from saying YES/NO in response
* revision - changed don't-touch-your-eyes message slightly
* addition - rejection message if the PC tries to hide with Emma when Emma knows you're all playing Hide & Seek

27 Sep 2011
--------
* addition - finally got PlayOnWithAction working properly
* bug-fix - Yvonne's stop-following-me reaction no longer triggers when she is playing Hide and Seek
* addition - Emma is list-grouped with the other NPCs while hiding in the bush
* addition - responses to asking Tiana about Yvonne
* revision - changed second response to asking Tiana what she thinks about Emma
* addition - implemented PLAY WITH [thing/NPC] command
* addition - custom response to PLAY HIDE & SEEK WITH YVONNE while not yet playing Hide & Seek (previously it remapped to asking her about Emma's game)

26 Sep 2011
--------
* addition - ending for playing in the sandpit with Tiana
* addition - ending for playing in the cubby or on the slide with Tiana
* addition - feelDesc for the sandpit
* addition - PAT, PET, and STROKE as synonyms for TOUCH
* addition - rejection message for attempts to touch the NPCs

25 Sep 2011
--------
* addition - put Pacian in the test credits list
* revision - removed One-Way Sense Connector from the project, and made do with an ordinary Distance Connector for the top of the tree
* bug-fix - fixed typo in showing-Tiana-the-bird ending, caused by my last typo fix for that ending >.<
* addition - conversation topic for birds in general, & responses to asking Tiana and Yvonne about them, including the Befriended by Yvonne ending
* revision - have all the NPCs who are hiding in the bush be listed together, rather than using their specialDescs
* bug-fix - removed "which ground do you mean" disambiguation hell, not entirely satisfactorily
* revision - changed a couple of bits of text which said that Emma could be hiding in a particular place (sounds silly after that place has been searched or when playing Hide and Seek)
* addition - feelDesc for the lumpy ground
* bug-fix - changed the destName of underTree to sound better when up the tree
* bug-fix - changed the name of the tree-top object to sound better in command clarification messages
* bug-fix - it is now possible to hide up the tree
* bug-fix - SEARCHing the top of the tree behaves as it should - or at least better than it used to
* addition - responses to HELLO for both Tiana and Yvonne
* addition - response to TALK TO, telling the player to try ASK or TELL instead
* addition - it is now possible for the PC to change her mind about cheating and close her eyes again
* bug-fix - run-time error in roomActorStatus (forgot to pass the argument when calling inherited)
* addition - ending for playing on the swing with Tiana
* addition - responses to pushing/pulling the swing

24 Sep 2011
--------
* bug-fix - Yvonne no longer complains about the PC following her across the lawn unless that's actually what the PC did
* bug-fix - the game no longer reports Tiana's location twice in specialDescs
* addition - more synonyms for YES and NO
* revision - the game no longer cheats and whisks Tiana across the map if the PC hurries around the front of the house
* addition - Emma's bush is the most logical hiding place if the PC knows where Emma is and the PC isn't playing H&S
* addition - more work on PLAY-type verbs

23 Sep 2011
--------
* addition - continued to work on PLAY-type verbs

22 Sep 2011
--------
* bug-fix - referring to Tiana as "Tiana" for the first time in a disambig response now triggers the remembering-her-name reaction
* addition - continued to work on PLAY-type verbs
* bug-fix - fixed typo where the showing-Tiana-the-bird ending had a stray space before a full stop (sometimes)

21 Sep 2011
--------
* addition - continued to work on PLAY-type verbs

20 Sep 2011
--------
* addition - worked on PLAY-type verbs

19 Sep 2011
--------
* revision - changed an ungrammatical "{the tiana/she}" to "{the tiana/her}"
* revision - changed the "Yvonne heads [direction]" message to show that she's hesitant when not cheating
* revision - made sure Emma's responses to being asked about Hide and Seek would trigger in the right circumstances
* revision - changed Tiana's response to being asked to play Hide and Seek during counting, so Emma butts in instead of Yvonne

18 Sep 2011
--------
* addition - bunch of new synonyms for YES
* addition - ActorStates for Yvonne and Tiana while counting (for Sardines)
* addition - default response to talking to Yvonne while counting
* addition - default response to talking to Tiana while counting
* addition - responses to asking Tiana about Sardines and Hide and Seek while counting
* addition - responses to asking Emma about Sardines or Hide and Seek during the prologue
* revision - changed Tiana's don't-you-want-to-play question to be a bit more wistful
* revision - changed Tiana's reaction to seeing the PC having fun to be an AgendaItem, so it would run after Yvonne's actions
* revision - changed the hide-with-Emma AgendaItems to have a lower priority than Tiana's reaction to seeing the PC having fun (to be a bit more forgiving to the poor player)
* addition - SEARCHing the bush by the cubby more than once no longer repeats the "Aha!" message
* addition - implemented PEEK as a synonym for LOOK for all search-type actions
* addition - default rejection message when SEARCHing a hiding spot while playing Hide and Seek

17 Sep 2011
--------
* addition - cover art! also appears on title screen in image-enabled terps
* bug-fix - hide the status line when restarting/restoring the game

14 Sep 2011
--------
* bug-fix - JUMPing no longer triggers the jumping-while-in-tree reaction unless the PC is actually up the tree
* bug-fix - And now JUMPing actually gives the correct response in non-upTree locations as well. Wowie.

12 Sep 2011
--------
* bug-fix - when playing HnS with Tiana and counting, CLOSE EYES no longer prompts the "just have to do something first" reaction
* bug-fix - fixed stupid bug with ENTER [HIDING SPOT] that I introduced last night because I changed code that already worked and didn't test the new code *super facepalm*
* bug-fix - the wilderness garden bushes are now marked as plural
* bug-fix - Tiana's default responses no longer override other responses (e.g. the bird)

11 Sep 2011
--------
* addition - abstracted the code to remap to a SayToAction and report the change, so I can reuse the new function for HIDE as well as COUNT
* addition - ActorStates for Tiana, to separate her normal behaviour from her behaviour while counting for Hide and Seek
* addition - HIDE during tianaCountOrHide now remaps to SAY HIDE TO TIANA
* revision - moved most of Tiana's conversational responses into her searching ActorState, so they won't appear at inappropriate moments
* addition - added a response to asking Tiana about herself or her name while she is counting for Hide and Seek
* addition - default response to asking/telling Tiana about anything while she's counting for Hide and Seek
* revision - rewrote Reaction.getActor() so it would deal gracefully with being nested inside an ActorState
* revision - moved Tiana's Reactions into her searching ActorState, so they won't trigger at inappropriate moments
* addition - if you don't answer Tiana's count-or-hide question, she chooses for you
* revision - abstract Tiana's change of ActorState code, so it can be re-used
* addition - alternative responses to entering the house and shed while playing Hide and Seek
* addition - if the PC messes around instead of counting for Hide and Seek, she tells Tiana there's something she has to do first (this is to allow her to go speak to Yvonne and Emma)
* addition - Yvonne and Emma's responses to being asked about Hide and Seek (including the Game-Changer ending)
* addition - Yvonne's response to being asked about Sardines
* revision - an exception to Emma's hushing, so it's possible to ask her and Yvonne about playing Hide and Seek
* bug-fix - fixed the problem where Yvonne would react to you "following" her across the lawn even after she was in the bush
* addition - AgendaItems so Yvonne will find a hiding spot during Hide and Seek if necessary
* addition - endings for playing HnS with Tiana and Yvonne, or with all three NPCs
* addition - ConvNode for letting the PC decide whether or not to let Emma play, with responses for YES, NO, and ASK HER ABOUT HERSELF

10 Sep 2011
--------
* bug-fix - it is no longer possible to speak to Emma while she is hidden, unless the PC has already searched the bush
* revision - removed the parentheses from most parser messages (but not the reminder to type ABOUT)
* revision - removed all the code and test scripts related to moving the bird and nest and killing the bird
* addition - prevented the PC from moving the bird and nest
* bug-fix - fixed bug where containers (i.e. the nest) were not responding correctly to LOOK IN (incidentally, this explains the problem Lisa had with the hiding spots)
* bug-fix - changed several bits of text where Tiana was referred to by her real name before the PC had learnt it
* bug-fix - fixed the name of Tiana's mum's van
* addition - COUNT and CLOSE EYES after Tiana asks you which Hide and Seek role you want
* addition - added Eric Eve's SayQuery extension to allow for SAY COUNT TO TIANA and SAY HIDE TO TIANA
* addition - implemented SAY COUNT/HIDE and related ConvNode
* bug-fix - HIDE IN TREE while too far from the tree no longer responds that you can't go that way

9 Sep 2011
--------
* addition - response to asking Tiana about Hide and Seek after discovering she prefers it to Sardines
* addition - Actor property to track whether a character is playing Hide and Seek instead of Sardines

8 Sep 2011
--------
* revision - changed all one-off Reactions to use the new one-off features of the Reaction classes
* revision - changed old Reaction of Yvonne's to use stopAction feature of Reaction and to run more efficiently

7 Sep 2011
--------
* bug-fix - made the YES/NO responses to Tiana's don't-you-want-to-play question actually work
* addition - topic for "cheating"
* addition - ability to ask/tell Tiana and Yvonne about the cheating topic
* addition - isOneOff feature for the Reaction classes

6 Sep 2011
--------
* addition - responses to YES or NO when Tiana asks you whether you want to play the game

4 Sep 2011
--------
* addition - named the second walking-past-Tiana reaction so I can check whether it has happened or not
* addition - Tiana's reaction to seeing the PC having fun outside the game

28 Aug 2011
--------
* addition - macro for checking whether the interpreter supports HTML TADS
* addition - ABOUT text
* addition - HELP/INSTRUCTIONS text
* addition - extra synonyms for SAVE and RESTORE
* revision - cleaned up the code for the credits
* addition - HINTS text
* addition - Alienating Yvonne ending can also be triggered just by Yvonne seeing the PC with the bird or the nest
* addition - test script for Alienating Yvonne by reaction
* addition - scenery: line of stones in lotsaBushes
* addition - disambigNames for numerousBushes and bushNearCubby
* addition - Emergency ending and test script
* addition - responses to talking to Tiana about HidingSpots
* addition - response to asking Tiana about the game
* addition - responses to jumping while in the tree and the cubby
* revision - removed the JUMP OFF verbs on the grounds that they would be too much of a nuisance to deal with (JUMP on its own is bad enough)
* addition - message reminding players to type ABOUT
* addition - styled parser messages with parentheses

27 Aug 2011
--------
* revision - slightly different description for the vege garden when looking at it from a distance
* addition - vegetable plants
* addition - class for the individual cars
* addition - scenery for front garden: flower beds, bird bath, individual cars, driveway
* revision - slight change to the front garden shrubs' pcSearchMsg
* revision - restored the once-deleted lock/unlock actions
* addition - lumpy ground scenery for under tree
* addition - more vocabulary for the bushes in the wildebeest garden
* addition - scenery for top of tree: tree-top, neighbourhood noises
* addition - handling for CLIMB UP and CLIMB DOWN on the tree and cubby ladder
* bug-fix - CLIMB TREE while too far from the tree no longer responds "You can't go that way"
* bug-fix - LOOK IN HIDING SPOT now remaps correctly to SEARCH HIDING SPOT
* addition - custom message rejecting attempts to climb the fence

26 Aug 2011
--------
* revision - changed the description of the sandpit slightly
* addition - description of the cubby house

24 Aug 2011
--------
* addition - finished adding Yvonne's responses to being told about Emma's hiding spot
* addition - extra vocabulary for the bush near the cubby
* revision - removed the knowsPlayerIsCheating property, since I never got around to using it for anything
* revision - changed the text of the You Murderer ending slightly

23 Aug 2011
--------
* addition - implemented the make-both-Tiana-and-Yvonne-cheat ending, but discovered it was inaccessible because Yvonne had no response to being told about the hiding spot
* addition - started work on Yvonne's responses to being told about Emma's hiding spot

22 Aug 2011
--------
* revision - rewrote response for asking Tiana about herself after you know her name
* revision - removed the should-Tiana-cheat conversation node
* revision - Tiana no longer objects to the PC walking past her when they are both cheating
* revision - commented out building modification to DeadEndConnector, to see if anything breaks

21 Aug 2011
--------
* bug-fix - remembering Tiana's name on the final command no longer produces buggy output
* revision - made the test script for the Befriending Tiana ending more comprehensive
* revision - cleaned up the message for climbing the tree the first time
* addition - Befriending Yvonne ending and test script
* addition - Alienating Yvonne ending and test script
* addition - finished Yvonne's specialDesc function
* addition - if you try to talk to someone who's hiding in the bush, Emma stops you

20 Aug 2011
--------
* addition - finished the telling-Tiana-about-bird ending and created a test script for it
* revision - sent pre-beta to Lisa and bumped version number to 0.2
* addition - cover art credits (spoke to Lisa today and asked her to do the cover art)

19 Aug 2011
--------
* addition - started to implementing the telling-Tiana-about-the-bird ending

18 Aug 2011
--------
* addition - added custom NPC travel messages
* addition - actorIntoName for the area behind the shed
* addition - made Tiana waste time searching the cars, so she doesn't arrive at the hiding spot too soon when she goes around the front of the house
* revision - adapted the Person.getNearbyHidingSpots method so that it can get either all hiding spots or unsearched spots only
* addition - if the player tries to search a room, prompt her to search individual hiding spots instead
* revision - removed the headline ("A Little Game") from the metadata and title screen because it's been annoying me for years

17 Aug 2011
--------
* revision - removed the precondition I created yesterday
* addition - new message for swinging on the swing while standing (instead of sitting)
* revision - lengthened the message for swinging on the swing while sitting
* revision - messed with the credits formatting some more
* bug-fix - fixed a regression which made both of Tiana's reactions to the PC walking past her happen at once

16 Aug 2011
--------
* addition - climbing the swing remaps to standing on it
* addition - custom messages for sitting and standing on the swing
* addition - precondition requiring the actor to be sitting on an object (for the swing)

15 Aug 2011
--------
* revision - After days of wrestling with the ambiguous path object, I finally got it to work as it should. Success! Great sense of achievement!

10 Aug 2011
--------
* addition - added an AskConnector for the path in the vege garden, so the path can be treated as a single object for most purposes but as two objects for travel purposes
* addition - all PathPassages have small sightSize, because otherwise disambiguation would be a nightmare

9 Aug 2011
--------
* revision - changes to descriptions of shed, fence, flower beds in east end of lawn
* addition - new vocabulary for bushes in wilderness garden, fence, flower beds in east end of garden
* revision - changed the description of the east end of the lawn to make more sense when viewed from a distance & be more consistent in mentioning features of nearby rooms
* addition - lawnEast now has lines of sight to lotsaBushes and underTree (matching its description)
* addition - PathPassages between cubbyArea, vegeGarden & frontGarden
* addition - vocabulary for vegeGarden & frontGarden

4 Aug 2011
--------
* revision - fixed a bug in reaction.t whereby the lists of BeforeAction and AfterAction objects weren't being sorted by priority (really stupid bug, you numbat) with the result that the Caught Out by Dobbing ending now works as it should

?? Jul 2011
--------
* addition - started implementing the Caught Out by Dobbing ending

19 Jul 2011
--------
* revision - changed text of Caught Out by Movement end-game message to be consistent with the other "left out" end-game message
* addition - text for the Caught Out by Speaking ending (I'm quite happy with this one, if I got the whether-Yvonne-is-cheating variations right)
* revision - new version of the Caught Out by Speaking test script, to test both the Yvonne-cheating & Yvonne-not-cheating variations

18 Jul 2011
--------
* addition - text for the Caught Out by Movement ending
* revision - new version of the Caught Out by Movement test script, to test both the Yvonne-cheating & Yvonne-not-cheating endings
* addition - describe the PC as hiding "among" the cars, not "in" the cars
* bug-fix - the PC's posture is now included in the Wildebeest Garden's status name if applicable

17 Jul 2011
--------
* addition - test script for the Misunderstanding ending
* addition - text for the Yvonne-searching-the-numerous-bushes EventList
* addition - the dark room is now sense-connected to the same rooms that lawnWest is connected to, so the PC can talk to Emma and the others while her eyes are closed

16 Jul 2011
--------
* revision - Tiana shouldn't react to the dead bird if she's hiding
* addition - Tiana will protest if the PC tries to walk past her
* addition - make the curly quotes filter aggressive

11 Jul 2011
--------
* revision - when an NPC hides, set her posture to hiding rather than sitting
* revision - minor change to one of Tiana's searching-the-numerous-bushes messages
* addition - first draft of Misunderstanding ending

9 Jul 2011
--------
* addition - bug message if an NPC tries to search a HidingSpot a second time
* addition - "hiding" posture and HIDE IN action

3 Jul 2011
--------
* addition - text for the Tiana-searching-the-numerous-bushes EventList

2 Jul 2011
--------
* addition - description for Emma (how did that take so long?)

1 Jul 2011
--------
* addition - another default response to asking/telling Tiana about an unknown topic

30 Jun 2011
--------
* revision - removed an unnecessary backlash from a message (it wasn't being printed, only treated as an escape character, but it wasn't necessary)
* revision - prevented a couple of HTML tags in the credits from being printed in non-HTML 'terps (not necessary, because the non-HTML terps just ignore HTML tags, but it just seems cleaner)
* revision - alphabetised the list of extension credits

29 Jun 2011
--------
* addition - a topic for referring generically to the "hiding spot"
* addition - a response to telling Tiana about the hiding spot when not cheating
* addition - code to allow TopicEntries to match against classes as well as individual objects

28 Jun 2011
--------
* addition - messages for listening to, touching and smelling the bird

27 Jun 2011
---------
* addition - You Murderer ending
* addition - reaction.t - added getActor() method to the Reaction class

26 Jun 2011
---------
* addition - the baby bird (dead and alive) and nest are too small to see from a distance
* addition - Ashes to Ashes ending

25 Jun 2011
---------
* revision - moved the code for the Communing with Nature ending from things.t to verbs.t

24 Jun 2011
---------
* addition - code for killing the baby bird and replacing it with a dead bird object
* bug-fix - modifications to the Actor class in lib.t now only apply to the Person class, to stop the baby bird from inheriting them

23 Jun 2011
---------
* revision - changed a (todo-marked) reference to the "wildebeest garden" to call the wilderness garden random name routine

22 Jun 2011
---------
* revision - the not-conversed-this-turn condition for AgendaItems now only applies to Tiana
* addition - a bunch of default reactions for trying to ask/tell Yvonne about stuff (that was fun!)
* addition - a bunch of default reactions for trying to ask/tell Tiana about stuff (less fun than Yvonne's)
* addition - a topic object for the Game (but no responses to it yet, so its vocabulary is untested)

21 Jun 2011
---------
* addition - a couple of AltTopics for asking/telling Tiana about herself or her name

20 Jun 2011
---------
* addition - first response to asking Tiana what her name is

19 Jun 2011
---------
* addition - implemented a very simple method for transforming a string into Title Case and used it to simplify the wilderness garden name methods

18 Jun 2011
---------
* revision - reworded the pile of junk's NPC search message
* addition - first draft of the PC search messages for the wilderness garden
* revision - rewrote wilderness garden room description
* addition - first (dodgy) implementation of random room name for wilderness garden

17 Jun 2011
---------
* addition - more work on the credits screen
* revision - changed the version number format to something more sensible and fixed the "first published" date (2008? really?)

16 Jun 2011
---------
* addition - the beginnings of a credits screen
* addition - installed FrobTADS and tested the credits, splash screen and status line with it (all looking good!)

15 Jun 2011
---------
* revision - replaced the NPC movement system (and it wasn't that hard, either)
* revision - small revision to the text of the Attacking Tiana ending
* revision - changed the end-of-counting message so it doesn't say Yvonne opens her eyes (since she cheats unless the PC catches her at it)
* addition - use Yvonne and Tiana's specialDescs on the final turn of the counting scene if the PC isn't cheating and give Tiana a special specialDesc for this point in the story

14 Jun 2011
---------
* revision - move the message for searching non-Hiding-Spot things from the action phase into the check phase (since the wording implies the search action isn't actually carried out)
* addition - put the searching-non-Hiding-Spot-things message into a property, so individual scenery objects can easily override it
* addition - custom message for searching the long grass behind the shed

13 Jun 2011
---------
* bug-fix - the too-scared-of-Yvonne BeforeAction is now nested in the PC, not her eyes (it doesn't matter to program execution, but it was a mistake!)
* bug-fix - Yvonne no longer yells at the PC for following her when the PC cheats and goes east before her
* bug-fix - Yvonne no longer yells at the PC for following her when the PC isn't even doing anything!
  (Turned out to be a bug in reaction.t, introduced by 7/6/11 revisions. The code was no longer recognising ReAction properties that were methods returning an object instead of plain objects. Oops.)
* addition - debugging message in Yvonne's being-scary BeforeAction, to help sort out errors (not that it helped with the bugs listed above >.<)
* addition - ending for when the PC and Tiana both cheat and the PC gets to the hiding spot before Tiana
* revision - slight emendation to the text of the Tiana's Loss ending
* addition - realised that I *was* using easyLister.t for something after all, and reinstated it
* revision - don't search a hiding spot when examining it if the actor has already searched it

12 Jun 2011
---------
* revision - removed the first-time-failure when you attempt to climb the tree, and integrated its text into the first-time-success message
* bug-fix - changed an instance where I used "Tiana" instead of a text substitution (in the you-can-hear-Tiana-from-the-top-of-the-tree hint)
* addition - first drafts of specialDescs for Tiana - probably need revision (at the moment, they're prone to say things like "Tiana is beneath the big tree, searching the big tree"
* bug-fix - can no longer attack Yvonne while up the tree

11 Jun 2011
---------
* addition - custom messages for searching non-HidingPlace things, with separate messages for the nest

10 Jun 2011
---------
* addition - code for swinging on the swing! Wheee!

9 Jun 2011
---------
* addition - new messages for successful TAKEs and DROPs (really only useful for the nest, since the baby bird has its own messages)
* addition - custom message for taking the baby bird
* addition - the only posture allowed at the top of the tree is sitting, and it isn't mentioned in the room header
* addition - custom message for putting the baby bird back in the nest
* addition - climbing down the tree prints a custom message and no longer requires the actor to stand up first

8 Jun 2011
---------
* addition - checklist of endings and how to achieve them (at least 7 are unimplemented or too buggy to achieve currently)
* revision - realised that I wasn't making any use of easyLister.t and removed it from the project
* addition - first stab at a room description for the top of the tree
* addition - nest, baby bird
* bug-fix - telling Tiana about Emma when not cheating now works as it should
* revision - removed the code for telling Tiana about the hiding spot when Tiana knows the PC is cheating, because it wasn't accessible and I don't remember how it was supposed to be accessible

7 Jun 2011
---------
* addition - test scripts for several more endings
* addition - coded an ending for when the PC talks while cheating during the counting scene (but didn't write the text for it)
* addition - rewrote part of the Reaction extension to allow Reaction properties to be lists as well as single objects

6 Jun 2011
---------
* revision - adjusted the text of the "You have all lost" ending slightly, to indicate that the PC doesn't actually *know* Yvonne is cheating, and to make the final message consistent with the rest
* addition - changed the formatting of final messages from standard asterisk-delimited to m-dash-delimited and bold
* addition - added L THING and LOOK THING as synonyms for LOOK AT THING

5 Jun 2011
---------
* addition - an ending for when the player waits for Yvonne to hide and then follows her across the lawn
* revision - adjusted the text of the "Yvonne loses" ending, to indicate that Yvonne is upset, not just angry

4 Jun 2011
---------
* addition - started trying to figure out how to change the NPCs' travel messages, but didn't actually get it working
* addition - created an ending for trying to wander off during the counting scene, but was too lazy to finish writing the text for it (look, at least I did SOME work on this game today, right?)

3 Jun 2011
---------
* addition - test scripts for various endings
* revision - renamed some of the old test scripts to make them more systematic and easy to find
* bug-fix - if the player is cheating, Yvonne goes east and the player goes northwest, then Tiana goes southwest (instead of following the player northwest)
* bug-fix - changed several places where Tiana's name was hard-coded into text even though the player might not know her name
* revision - reinstated the JUMP and JUMP OFF verbs, because JUMP is a bit too common a verb to leave unimplemented and it is, after all, a playful verb, which fits the game
* revision - moved the has-the-actor-already-searched-this-spot check from the "Search" action phase to the check phase
* bug-fix - replying YES or NO after inciting Tiana to cheat now actually produces some output
* addition - first sloppy implementation of the bushes in the wilderness garden, including timings (but not messages) for multiple searches by the different characters

2 Jun 2011
---------
* addition - NPC AgendaItems no longer run if they are in conversation with the PC
* bug-fix - forcing Yvonne and Tiana's agendas to run after the counting scene ends no longer causes them to idle on the next turn
* addition - Yvonne and Tiana can know whether the player is cheating - Y by seeing her during the counting scene, T by being told (it has no effect yet, though)

1 Jun 2011
---------
* addition - Yvonne's specialDesc routine, with messages for some of the locations/situations she may be in
* revision - changed the comment on the ATTACK YVONNE code to properly explain why I did it that way
* addition - during "counting", group the NPCs (but not Emma!) in the room description, but elsewhere, use their specialDescs (if they have them)
* bug-fix - if the player included capital letters in Tiana's name (e.g. "Tiana"), the suddenly-remembering-her-name routine wouldn't fire
* addition - changed the "X and Y are here" message during the counting scene
* bug-fix - attempting to enter the house with the command GO THROUGH DOOR was case-sensitive, like the "Tiana" bug above
* revision - simplified the code for deciding whether N means NORTH or NO; N now means NO all through the prologue, instead of keying it to particular ConvNodes
* addition - allow DIRECTIONS as a synonym for EXITS, and rewrite the standard messages to talk about "directions" rather than "exits"
* addition - NPCs that are cheating will no longer bother to search, they'll just go straight to Emma's hiding spot

31 May 2011
---------
* revision - moved the code for redirecting LOOK IN, BEHIND, etc. from lib.t to verbs.t
* addition - extra vocabulary for search-type actions - LOOK BETWEEN, UNDERNEATH, etc.
* addition - stub code for changing the "X and Y are standing here" message (didn't actually add a new message)
* revision - Tiana is now only referred to as "the red-haired girl that you can't remember [etc.]" once, and just "the red-haired girl" thereafter
* ??? - I forgot to make any notes about my changes >.< but I think that's all

22 Feb 2011
---------
* bug-fix - Yvonne now moves before Tiana, rather than after. That was easier than I expected.

30 Dec 2010
---------
* addition - it is possible for the other characters to know that the player is cheating
* addition - the player can tell Tiana about Emma's hiding spot, causing her to cheat

17 Nov 2010
---------
* addition - after examining a HidingSpot, if close enough to touch it then automatically search it
* bug-fix - it is no longer possible to search HidingSpots unless you are close enough to touch them
* addition - Yvonne and Tiana leave the lawn as soon as counting finished, if necessary
* addition - Yvonne stops the player from following her east across the lawn
* revision - removed some unnecessary vocabulary from Yvonne, Tiana, the PC, and the fence
* addition - responses to attacking Yvonne, Emma and Tiana (they all end the game)
* revision - fixed the "already looked there" message so as not to assume the PC looked "in" that spot (it might have been "under", "behind", etc.)

10 May 2010
---------
* addition - implemented all the left-over hiding spots except for the bushes in the wilderness garden, and added non-default search messages to the existing hiding spots

9 May 2010
---------
* addition - Yvonne won't stop the player from entering the house/shed if she's already hiding
* addition - changed the HidingSpot search code to keep track of anyone who searches a hiding spot, not just the player
* addition - made Emma's hiding spot a HidingSpot as well, so that it can inherit some of the new search behaviour
* addition - Yvonne starts the game cheating, but if the player looks at her during the counting scene she stop cheating
* bug-fix - the message telling where Emma hides now gets printed
* addition - generalised the enterHidingSpot code so that it can apply to Yvonne and Tiana as well as Emma
* addition - generic search and hide AgendaItems for Yvonne and Tiana
* addition - a specific class (with template) for movement AgendaItems
* addition - movement AgendaItem scripts for Yvonne and Tiana
* addition - losing ending if you're the last person to find Emma

7 May 2010
---------
* addition - HidingSpot class for possible (but incorrect) hiding spots
* addition - the junk pile and big tree are now HidingSpots, and the big tree has a non-default search message
* addition - gave the cubby house an interior (though no details, only bare-bones implementation)
* bug-fix - climbing the cubby slide while in the cubby now gives the correct "you're already in the cubby" failure message
* revision - changed description of lotsaBushes to mention that it's a wilderness garden
* addition - redirected LOOK IN, LOOK BEHIND, and LOOK UNDER to SEARCH, and removed the library's default remap of SEARCH to LOOK IN
* bug-fix - the junk pile is no longer a RearContainer (it was unnecessary and interfering with my other search code)

5 May 2010
---------
* bug-fix - Emma's "looking for a hiding place" agenda items get cancelled after the player counts
* addition - code for hiding Emma in the bush and discovering her (and anyone else hiding with her)

4 May 2010
---------
* bug-fix - N is now understood as NO during the prologue
* bug-fix - waiting until T & Y finish counting no longer causes nil object ref crash
* bug-fix - T & Y no longer count after the player finishes COUNTing
